# =begin
#
# Copyright 2016, john@drivenupthewall.co.uk
#
# All Rights Reserved - for now...
#
# =end
module JcB
  # plugin namespace for all methods...
  module SineCircle

    NAME =  'sine_circle'
    TITLE = 'Sine Circle'
    VERSION = '1.0.2'

    # pactched languagehandler.rb for earlier versions
		require (File.join(File.dirname(__FILE__),"jcb_#{NAME}/bin/lang_patch")) if Sketchup.version.to_i < 14

		TRANSL8 = LanguageHandler.new( "jcb_#{NAME}.strings")

		extension_name = TRANSL8["#{TITLE}"]

		PLUGIN = SketchupExtension.new(extension_name, "jcb_#{NAME}/#{NAME}_menu")

    # translatable text on separate lines for easy extraction [aviod quotation marks]
    PLUGIN.description =
     TRANSL8['This plugin allows the creation of cylindercal sinusoldal curves'] + ".\n" +
		 TRANSL8['It preserves settings per Session'] + ".\n" +
		 TRANSL8['It is advised to work at a large scale [use meters as if millimetres]'] + ".\n" +
		 TRANSL8['The string file can be translated'] + "..."

		PLUGIN.version   = VERSION

		PLUGIN.copyright = '2016 john@drivenupthewall.co.uk'

		PLUGIN.creator   = 'john@drivenupthewall.co.uk'

		Sketchup.register_extension( PLUGIN, true )

  end
end
